	cpu LMM
	.module keycodesconversion.c
	.area text(rom, con, rel)
	.dbfile ./keycodesconversion.c
	.dbfunc e MakeConversionTable _MakeConversionTable fc
;     TargetCode -> X-4
_MakeConversionTable::
	.dbline -1
	push X
	mov X,SP
	.dbline 6
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; 
; //converting KeyCode from keyboard(j106) to PC format
; BYTE MakeConversionTable(BYTE TargetCode)
; {
	.dbline 7
;  if (TargetCode == 0x01) return(0x1E);	// 1!
	cmp [X-4],1
	jnz L3
	.dbline 7
	mov REG[0xd0],>__r0
	mov A,30
	xjmp L2
L3:
	.dbline 8
;  if (TargetCode == 0x02) return(0x1F);	// 2"
	cmp [X-4],2
	jnz L5
	.dbline 8
	mov REG[0xd0],>__r0
	mov A,31
	xjmp L2
L5:
	.dbline 9
;  if (TargetCode == 0x03) return(0x20);	// 3#
	cmp [X-4],3
	jnz L7
	.dbline 9
	mov REG[0xd0],>__r0
	mov A,32
	xjmp L2
L7:
	.dbline 10
;  if (TargetCode == 0x04) return(0x21);	// 4$
	cmp [X-4],4
	jnz L9
	.dbline 10
	mov REG[0xd0],>__r0
	mov A,33
	xjmp L2
L9:
	.dbline 11
;  if (TargetCode == 0x05) return(0x22);	// 5%
	cmp [X-4],5
	jnz L11
	.dbline 11
	mov REG[0xd0],>__r0
	mov A,34
	xjmp L2
L11:
	.dbline 12
;  if (TargetCode == 0x06) return(0x23);	// 6&
	cmp [X-4],6
	jnz L13
	.dbline 12
	mov REG[0xd0],>__r0
	mov A,35
	xjmp L2
L13:
	.dbline 13
;  if (TargetCode == 0x07) return(0x24);	// 7'
	cmp [X-4],7
	jnz L15
	.dbline 13
	mov REG[0xd0],>__r0
	mov A,36
	xjmp L2
L15:
	.dbline 14
;  if (TargetCode == 0x08) return(0x25);	// 8(
	cmp [X-4],8
	jnz L17
	.dbline 14
	mov REG[0xd0],>__r0
	mov A,37
	xjmp L2
L17:
	.dbline 15
;  if (TargetCode == 0x09) return(0x26);	// 9)
	cmp [X-4],9
	jnz L19
	.dbline 15
	mov REG[0xd0],>__r0
	mov A,38
	xjmp L2
L19:
	.dbline 16
;  if (TargetCode == 0x10) return(0x27);	// 0
	cmp [X-4],16
	jnz L21
	.dbline 16
	mov REG[0xd0],>__r0
	mov A,39
	xjmp L2
L21:
	.dbline 17
;  if (TargetCode == 0x23) return(0x2D);	// -=
	cmp [X-4],35
	jnz L23
	.dbline 17
	mov REG[0xd0],>__r0
	mov A,45
	xjmp L2
L23:
	.dbline 18
;  if (TargetCode == 0x24) return(0x2E);	// ^~
	cmp [X-4],36
	jnz L25
	.dbline 18
	mov REG[0xd0],>__r0
	mov A,46
	xjmp L2
L25:
	.dbline 19
;  if (TargetCode == 0x18) return(0x28);	// Enter
	cmp [X-4],24
	jnz L27
	.dbline 19
	mov REG[0xd0],>__r0
	mov A,40
	xjmp L2
L27:
	.dbline 20
;  if (TargetCode == 0x21) return(0x14);	// qQ
	cmp [X-4],33
	jnz L29
	.dbline 20
	mov REG[0xd0],>__r0
	mov A,20
	xjmp L2
L29:
	.dbline 21
;  if (TargetCode == 0x0A) return(0x1A);	// wW
	cmp [X-4],10
	jnz L31
	.dbline 21
	mov REG[0xd0],>__r0
	mov A,26
	xjmp L2
L31:
	.dbline 22
;  if (TargetCode == 0x0B) return(0x08);	// eE
	cmp [X-4],11
	jnz L33
	.dbline 22
	mov REG[0xd0],>__r0
	mov A,8
	xjmp L2
L33:
	.dbline 23
;  if (TargetCode == 0x0C) return(0x15);	// rR
	cmp [X-4],12
	jnz L35
	.dbline 23
	mov REG[0xd0],>__r0
	mov A,21
	xjmp L2
L35:
	.dbline 24
;  if (TargetCode == 0x0D) return(0x17);	// tT
	cmp [X-4],13
	jnz L37
	.dbline 24
	mov REG[0xd0],>__r0
	mov A,23
	xjmp L2
L37:
	.dbline 25
;  if (TargetCode == 0x0F) return(0x1C);	// yY
	cmp [X-4],15
	jnz L39
	.dbline 25
	mov REG[0xd0],>__r0
	mov A,28
	xjmp L2
L39:
	.dbline 26
;  if (TargetCode == 0x0E) return(0x18);	// uU
	cmp [X-4],14
	jnz L41
	.dbline 26
	mov REG[0xd0],>__r0
	mov A,24
	xjmp L2
L41:
	.dbline 27
;  if (TargetCode == 0x28) return(0x0C);	// iI
	cmp [X-4],40
	jnz L43
	.dbline 27
	mov REG[0xd0],>__r0
	mov A,12
	xjmp L2
L43:
	.dbline 28
;  if (TargetCode == 0x29) return(0x12);	// oO
	cmp [X-4],41
	jnz L45
	.dbline 28
	mov REG[0xd0],>__r0
	mov A,18
	xjmp L2
L45:
	.dbline 29
;  if (TargetCode == 0x2A) return(0x13);	// pP
	cmp [X-4],42
	jnz L47
	.dbline 29
	mov REG[0xd0],>__r0
	mov A,19
	xjmp L2
L47:
	.dbline 30
;  if (TargetCode == 0x11) return(0x04);	// aA
	cmp [X-4],17
	jnz L49
	.dbline 30
	mov REG[0xd0],>__r0
	mov A,4
	xjmp L2
L49:
	.dbline 31
;  if (TargetCode == 0x12) return(0x16);	// sS
	cmp [X-4],18
	jnz L51
	.dbline 31
	mov REG[0xd0],>__r0
	mov A,22
	xjmp L2
L51:
	.dbline 32
;  if (TargetCode == 0x13) return(0x07);	// dD
	cmp [X-4],19
	jnz L53
	.dbline 32
	mov REG[0xd0],>__r0
	mov A,7
	xjmp L2
L53:
	.dbline 33
;  if (TargetCode == 0x14) return(0x09);	// fF
	cmp [X-4],20
	jnz L55
	.dbline 33
	mov REG[0xd0],>__r0
	mov A,9
	xjmp L2
L55:
	.dbline 34
;  if (TargetCode == 0x15) return(0x0A);	// gG
	cmp [X-4],21
	jnz L57
	.dbline 34
	mov REG[0xd0],>__r0
	mov A,10
	xjmp L2
L57:
	.dbline 35
;  if (TargetCode == 0x17) return(0x0B);	// hH
	cmp [X-4],23
	jnz L59
	.dbline 35
	mov REG[0xd0],>__r0
	mov A,11
	xjmp L2
L59:
	.dbline 36
;  if (TargetCode == 0x16) return(0x0D);	// jJ
	cmp [X-4],22
	jnz L61
	.dbline 36
	mov REG[0xd0],>__r0
	mov A,13
	xjmp L2
L61:
	.dbline 37
;  if (TargetCode == 0x30) return(0x0E);	// kK
	cmp [X-4],48
	jnz L63
	.dbline 37
	mov REG[0xd0],>__r0
	mov A,14
	xjmp L2
L63:
	.dbline 38
;  if (TargetCode == 0x31) return(0x0F);	// lL
	cmp [X-4],49
	jnz L65
	.dbline 38
	mov REG[0xd0],>__r0
	mov A,15
	xjmp L2
L65:
	.dbline 39
;  if (TargetCode == 0x19) return(0x1D);	// zZ
	cmp [X-4],25
	jnz L67
	.dbline 39
	mov REG[0xd0],>__r0
	mov A,29
	xjmp L2
L67:
	.dbline 40
;  if (TargetCode == 0x1A) return(0x1B);	// xX
	cmp [X-4],26
	jnz L69
	.dbline 40
	mov REG[0xd0],>__r0
	mov A,27
	xjmp L2
L69:
	.dbline 41
;  if (TargetCode == 0x1B) return(0x06);	// cC
	cmp [X-4],27
	jnz L71
	.dbline 41
	mov REG[0xd0],>__r0
	mov A,6
	xjmp L2
L71:
	.dbline 42
;  if (TargetCode == 0x1C) return(0x19);	// vV
	cmp [X-4],28
	jnz L73
	.dbline 42
	mov REG[0xd0],>__r0
	mov A,25
	xjmp L2
L73:
	.dbline 43
;  if (TargetCode == 0x1D) return(0x05);	// bB
	cmp [X-4],29
	jnz L75
	.dbline 43
	mov REG[0xd0],>__r0
	mov A,5
	xjmp L2
L75:
	.dbline 44
;  if (TargetCode == 0x1F) return(0x11);	// nN
	cmp [X-4],31
	jnz L77
	.dbline 44
	mov REG[0xd0],>__r0
	mov A,17
	xjmp L2
L77:
	.dbline 45
;  if (TargetCode == 0x1E) return(0x10);	// mM
	cmp [X-4],30
	jnz L79
	.dbline 45
	mov REG[0xd0],>__r0
	mov A,16
	xjmp L2
L79:
	.dbline 46
;  if (TargetCode == 0x38) return(0x36);	// ,<
	cmp [X-4],56
	jnz L81
	.dbline 46
	mov REG[0xd0],>__r0
	mov A,54
	xjmp L2
L81:
	.dbline 47
;  if (TargetCode == 0x39) return(0x37);	// .>
	cmp [X-4],57
	jnz L83
	.dbline 47
	mov REG[0xd0],>__r0
	mov A,55
	xjmp L2
L83:
	.dbline 67
; // if (TargetCode == 0x00) return(0x38);	// /?
; // if (TargetCode == 0x00) return(0x35);	// hankaku/zenkaku
; // if (TargetCode == 0x00) return(0x89);	// international key \(Yen)|
; // if (TargetCode == 0x00) return(0x2A);	// BackSpace
; // if (TargetCode == 0x00) return(0x2B);	// TAB
; // if (TargetCode == 0x00) return(0x30);	// [{
; // if (TargetCode == 0x00) return(0x39);	// Caps Lock
; // if (TargetCode == 0x00) return(0x33);	// ;+
; // if (TargetCode == 0x00) return(0x34);	// :*
; // if (TargetCode == 0x00) return(0x32);	// ]}
; // if (TargetCode == 0x00) return(0x87);	// \_
; // if (TargetCode == 0x00) return(0x50);	// <- (Arrow)
; // if (TargetCode == 0x00) return(0x4F);	// -> (Arrow)
; // if (TargetCode == 0x00) return(0x52);	//  (up Arrow) 
; // if (TargetCode == 0x00) return(0x51);	//  (down Arrow) 
; // if (TargetCode == 0x00) return(0x4B);	//  (Page Up)
; // if (TargetCode == 0x00) return(0x4E);	//  (Page Down) 
; 
;  
;  return(0);	//no key pressed
	mov REG[0xd0],>__r0
	mov A,0
	.dbline -2
L2:
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l TargetCode -4 c
	.dbend
